This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 457019 - pppoe: Unshare skb before anything else [mrg-1]
pppoe: Unshare skb before anything else [mrg-1]
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.1
All Linux
low Severity low
: 1.0.3
: ---
Assigned To: Luis Claudio R. Goncalves
:
Depends On: 457018
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 04:40 EDT by Eugene Teo (Security Response)
Modified: 2008-10-07 15:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-07 15:21:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2008-07-29 04:40:49 EDT
+++ This bug was initially created as a clone of Bug #457018 +++

Description of problem:
We need to unshare the skb first as otherwise pskb_may_pull may write to a
shared skb which could be bad.
Comment 2 Luis Claudio R. Goncalves 2008-08-05 14:45:48 EDT
Queued for -76.
Comment 4 David Sommerseth 2008-09-23 04:29:31 EDT
Verified that the patch in upstream commit bc6cffd177f9266af38dba96a2cea06c1e7ff932 is included in mrg-rt-2.6.24.7-81
Comment 6 errata-xmlrpc 2008-10-07 15:21:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0857.html

Note You need to log in before you can comment on or make changes to this bug.